:root{
    --negro: #000000;
    --blanco: #ffffff;
}

html{
    font-size: 62.5%;
    box-sizing: border-box;
    background-color: var(--negro);

    font-family: "Cormorant Garamond", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    color: var(--blanco);
}

*, *:before, *:after{
    box-sizing: inherit;
}

body {
    margin: 0;
}

h1, h2, h3, p{
    margin: 0;
    padding: 0;
}

.contenedor-principal{
    max-width: 74rem; /*o 74*/
    margin: 0 auto;
    padding: 0 2rem;
}

/*Nav*/

nav {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    margin-top: 2rem;
    padding-top: 4rem;
    padding-bottom: 2rem;
}

nav h3, nav a {
    text-decoration: none;
    color: var(--blanco);
    font-weight: 700;
    font-size: 2rem;
    font-style: italic;
    text-transform: uppercase;
}

.div1 a:hover {
    text-decoration: underline;
}

/*Header*/

header {
    height: 40rem;
    background-image: url('../imagenes/fotografías/8-20.jpg');
    background-size: cover;               /* La imagen cubre todo */
    background-position: center;
    position: relative;

    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.header-contenido {
    position: absolute;
    margin-left: 4rem;
    margin-right: 4rem;
    margin-bottom: 2rem;
    bottom: 0rem;
}

.header-titulo {
    display: grid;
    grid-template-rows: 100%;
    grid-template-columns: 5fr 3fr;

    column-gap: 0rem;
    row-gap: 0rem;
}

header img{
    position: relative;
    width: 100%;
    height: 6rem;

    object-fit: cover;

    align-self: center;
}

.header-titulo h1{
    font-size: 8rem;
    text-transform: lowercase;
    margin: 0;
    color: var(--blanco);
}

header p {
    font-size: 1.5rem;
    text-align: justify;
    color: var(--blanco);
}

/*Section*/

section{
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr 1fr 1fr;

    column-gap: 0rem;
    row-gap: 2rem;

    margin: 1rem 0rem auto 0rem;
}

section div {
    display: flex;
    flex-direction: column;
    /*justify-content: center;*/
}

section a {
    text-decoration: none;
    color: var(--blanco);
    display: flex;
    flex-direction: column;
}

section div h2{
    font-weight: 700;
    font-size: 2rem;
    font-style: italic;
    text-transform: uppercase;
    height: 6rem;

    align-self: center;
    padding-top: 1rem;

}

section a:hover {
    text-decoration: underline;
}

.img-wrapper{
    height: 4rem;
    overflow: hidden;
    transition: height 0s ease;
    align-self: stretch;
}

section div:hover .img-wrapper{
    height: 2rem;
}

section div:hover{
    height: 10rem;
}


section div img{
    position: relative;
    width: 100%;
    height: 100%;

    object-fit: cover;

    object-position: top;
    display: block;

    object-position: 0% 70%;
}

/*Main*/
main{
    display: grid;
    margin: 8rem 0rem 4rem 0rem
}

.main-div {
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 2fr 6fr 2fr;
    column-gap: 4rem;
    margin-bottom: 2rem;
}

.main-div h2 {
    font-size: 1.5rem;
    font-weight: 700;
    padding-top: 0.2rem;
}

.main-div p {
    font-size: 1.5rem;
    text-align: justify;
}

main img{
    position: relative;
    width: 100%;
    height: auto;

    justify-self: center;
}


